Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Update site build replacing qualifier(When I build my update site it replaces the version qualifier with a concrete value)
Update site build replacing qualifier [message #998511] Thu, 10 January 2013 01:25 Go to next message
Phillip Drew is currently offline Phillip Drew
Messages: 72
Registered: October 2012
Member
Basically when I build my update site the first time it works fine. The versions of the features used are just 1.0.0.qualifier.

However when it does the build it replaces the '.qualifier' with the actual concrete value.

When I try to build the update site again at a later time it complains that it can't find the features between the version range [previous concrete qualifier, previous concrete qualifier], obviously because the qualifier has moved on!

It doesn't happen all the time but it is happening consistently enough to be a big stumbling block in what should be a smooth update process. When it does complain about not being able to find the correct version I have to go into the site.xml and replace the concrete qualifier with '.qualifier' again.

Any suggestions what could be causing my problem?
Re: Update site build replacing qualifier [message #998676 is a reply to message #998511] Thu, 10 January 2013 08:45 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo Bettini
Messages: 1306
Registered: July 2009
Senior Member
you are referring to legacy update site, not p2 repository, right?

On 01/10/2013 07:25 AM, Phillip Drew wrote:
> Basically when I build my update site the first time it works fine. The
> versions of the features used are just 1.0.0.qualifier.
>
> However when it does the build it replaces the '.qualifier' with the
> actual concrete value.
>
> When I try to build the update site again at a later time it complains
> that it can't find the features between the version range [previous
> concrete qualifier, previous concrete qualifier], obviously because the
> qualifier has moved on!
>
> It doesn't happen all the time but it is happening consistently enough
> to be a big stumbling block in what should be a smooth update process.
> When it does complain about not being able to find the correct version I
> have to go into the site.xml and replace the concrete qualifier with
> '.qualifier' again.
>
> Any suggestions what could be causing my problem?


--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134 (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net
Re: Update site build replacing qualifier [message #998883 is a reply to message #998676] Thu, 10 January 2013 17:23 Go to previous message
Phillip Drew is currently offline Phillip Drew
Messages: 72
Registered: October 2012
Member
Whoops my bad - yeah I'm talking about the legacy update site. I'll repost my question on the PDE forum
Previous Topic:where is p2.director ant target defined?
Next Topic:create category for site?
Goto Forum:
  


Current Time: Mon Jul 28 02:18:28 EDT 2014

Powered by FUDForum. Page generated in 0.02748 seconds